Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# socket.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/socketbuffer.h>`

Include dependency graph for socket.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | log4cplus
namespace | log4cplus::helpers
## Defines
#define | INVALID_SOCKET -1

## Detailed Description

Definition in file socket.h.

## Define Documentation

#define INVALID_SOCKET -1

| Definition at line 40 of file socket.h.